import 'package:freezed_annotation/freezed_annotation.dart';

part 'meilisearch_variables.freezed.dart';
part 'meilisearch_variables.g.dart';

@Freezed(toJson: false)
class MeilisearchVariables with _$MeilisearchVariables {
  const MeilisearchVariables._();

  const factory MeilisearchVariables({
    @JsonKey(name: 'MEILISEARCH_ENDPOINT') required String endpoint,
    @JsonKey(name: 'MEILISEARCH_API_KEY') required String apiKey,
  }) = _MeilisearchVariables;

  factory MeilisearchVariables.fromJson(Map<String, dynamic> json) =>
      _$MeilisearchVariablesFromJson(json);

  static const List<String> requiredVariables = [
    'MEILISEARCH_ENDPOINT',
    'MEILISEARCH_API_KEY',
  ];
}
